/* CSS files add styling rules to your content */

      body {
        color: white;
        font-family: "Andalé Mono", Andalé Mono, monospace;
        font-size: 18px;
        margin: 0;
		display: flex;
  		padding: 0;
  		width: 50vw;
  		height: 100vh;
		justify-content: center;
		align-items: center;
		min-height: 100vh;
		background-color: #f0f0f0;
}

    .box {
		background-color: rgba(255, 255, 255, 0.8);
		border: 2px solid #333;
		padding: 60px;
		max-width: 100%;
		box-shadow: 0px 0px 10px rgba(0, 0, 0, .2);
      }
    
	.hidden-content {
		display: none;
		margin-top: 10px;
	  }

      pre1 {
        font-size: 20px;
        margin-bottom: 1px;
		width: 50vw;
		line-height: 1.4;
		background: black;
		opacity: .8;
      }
      
      pre {
        font-size: 18px;
		line-height: 1.4;
        margin: 0;

      }
      a {
        color: white;
        text-decoration: none;
//        border-bottom: 3px dotted grey;
		line-height: 1.4;
		background: black;
		opacity: .9;
        
      }
      a:hover {
        border-bottom: 3px dotted grey;
		color: black;
		background: white;
		line-height: 1.4;
		opacity: .8;
      }
      
      
      subtext {
        font-style: italic;
        font-size: 14px;
		background: black;
		opacity: .8;
      }

h1 {
  font-style: italic;
  color: #ff0066;
}

button {
  display: inline-block;
  font-size: 16px;
  padding: 10px;
  margin: 10px;
}

p {
  background-color: rgba(255,255,255,0.7);
  font-color: black;
}



canvas {
  overflow-y: hidden;
  position: fixed;
  background-size: cover;
  top: 0px;
  left: 0px;
  z-index: 0;
  --w: min(100vh, 100vw);
  margin: auto;
//  height: var(--w) !important;
//  width: var(--w) !important;
  display: block;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

#main {
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 1;
}

.spacer {
width: 512px;
height: 512px;
position: relative;

}

.spacer-small {
width: 128px;
height: 128px;
position: relative;

}